%define anolis_release 3
%global tarball xf86-input-evdev
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/input


Summary:    Xorg X11 evdev input driver
Name:       xorg-x11-drv-evdev
Version:    2.10.6
Release:    %{anolis_release}%{?dist}
URL:        http://www.x.org
License:    MIT

Source0:    ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2

BuildRequires: make
BuildRequires: pkgconfig(inputproto) >= 2.1.99.3
BuildRequires: pkgconfig(libevdev) >= 0.4
BuildRequires: pkgconfig(libudev)
BuildRequires: pkgconfig(mtdev)
BuildRequires: pkgconfig(xorg-server) >= 1.12
BuildRequires: pkgconfig(xproto)
BuildRequires: xorg-x11-util-macros >= 1.8

Requires:  xkeyboard-config >= 1.4-1
Requires: mtdev

Obsoletes: xorg-x11-drv-mouse < 1.9.0-8
Obsoletes: xorg-x11-drv-keyboard < 1.8.0-6

%description
X.Org X11 evdev input driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static --disable-silent-rules
%make_build

%install
%make_install

%files
%license COPYING
%{driverdir}/evdev_drv.so
%{_mandir}/man4/evdev.4*
%{_datadir}/X11/xorg.conf.d/10-evdev.conf

%package devel
Summary:    Xorg X11 evdev input driver development package.
Requires:   %{name} = %{version}-%{release}
%description devel
X.Org X11 evdev input driver development files.

%files devel
%license COPYING
%{_libdir}/pkgconfig/xorg-evdev.pc
%dir %{_includedir}/xorg
%{_includedir}/xorg/evdev-properties.h

%changelog
* Thu Dec 22 2022 Funda Wang <fundawang@yeah.net> - 2.10.6-3
- Bump release for upgrading from anolis 8

* Wed Apr 20 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.10.6-1
- Init from upstream version 2.10.6

